org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.LikeRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.LikeRestriction

All Implemented Interfaces:
  Restriction, SingleRestriction

Enclosing class:
  SingleColumnRestriction

    public static final class SingleColumnRestriction.LikeRestriction
    extends SingleColumnRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`columnDef`

### Constructor Summary

Constructors
Constructor and Description
`LikeRestriction(ColumnDefinition columnDef, Operator operator, Term value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFunctionsTo(java.util.List<Function> functions)` Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
`void` `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
`MultiCBuilder` `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
`boolean` `canBeConvertedToMultiColumnRestriction()` Checks if this `Restriction` can be converted into a `MultiColumnRestriction`
`SingleRestriction` `doMergeWith(SingleRestriction otherRestriction)`
`boolean` `isEQ()`
`boolean` `isLIKE()`
`protected boolean` `isSupportedBy(Index index)` Check if this type of restriction is supported by the specified index.
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

`appendBoundTo, hasBound, isContains, isIN, isInclusive, isMultiColumn, isNotNull, isSlice`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

`isOnToken`

### Constructor Detail

#### LikeRestriction

    public LikeRestriction(ColumnDefinition columnDef,
                           Operator operator,
                           Term value)

### Method Detail

#### addFunctionsTo

    public void addFunctionsTo(java.util.List<Function> functions)

Description copied from interface: `Restriction`
Adds all functions (native and user-defined) used by any component of the restriction to the specified list.

Parameters:
  `functions` - the list to add to

#### isEQ

    public boolean isEQ()

#### isLIKE

    public boolean isLIKE()

#### canBeConvertedToMultiColumnRestriction

    public boolean canBeConvertedToMultiColumnRestriction()

Description copied from class: `SingleColumnRestriction`
Checks if this `Restriction` can be converted into a `MultiColumnRestriction`

Returns:
  `true` if this `Restriction` can be converted into a `MultiColumnRestriction`, `false` otherwise.

#### addRowFilterTo

    public void addRowFilterTo(RowFilter filter,
                               SecondaryIndexManager indexManager,
                               QueryOptions options)

Description copied from interface: `Restriction`
Adds to the specified row filter the expressions corresponding to this `Restriction`.

Parameters:
  `filter` - the row filter to add expressions to
  `indexManager` - the secondary index manager
  `options` - the query options

#### appendTo

    public MultiCBuilder appendTo(MultiCBuilder builder,
                                  QueryOptions options)

Description copied from interface: `SingleRestriction`
Appends the values of this `SingleRestriction` to the specified builder.

Parameters:
  `builder` - the `MultiCBuilder` to append to.
  `options` - the query options
Returns:
  the `MultiCBuilder`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### doMergeWith

    public SingleRestriction doMergeWith(SingleRestriction otherRestriction)

Specified by:
  `doMergeWith` in class `SingleColumnRestriction`

#### isSupportedBy

    protected boolean isSupportedBy(Index index)

Description copied from class: `SingleColumnRestriction`
Check if this type of restriction is supported by the specified index.

Specified by:
  `isSupportedBy` in class `SingleColumnRestriction`
Parameters:
  `index` - the secondary index
Returns:
  `true` this type of restriction is supported by the specified index, `false` otherwise.